diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/sixlowpan/model/sixlowpan-net-device.h ns-3.44/src/sixlowpan/model/sixlowpan-net-device.h
--- ns-3.43/src/sixlowpan/model/sixlowpan-net-device.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/sixlowpan/model/sixlowpan-net-device.h	2025-03-09 16:55:49.687372200 -0700
@@ -29,8 +29,8 @@
 class EventId;
 
 /**
- * \defgroup sixlowpan 6LoWPAN
- * \brief Performs 6LoWPAN compression of IPv6 packets as specified by \RFC{4944} and \RFC{6282}
+ * @defgroup sixlowpan 6LoWPAN
+ * @brief Performs 6LoWPAN compression of IPv6 packets as specified by \RFC{4944} and \RFC{6282}
  *
  * This module acts as a shim between IPv6 and a generic NetDevice.
  *
@@ -43,15 +43,15 @@
  */
 
 /**
- * \ingroup sixlowpan
- * \ingroup tests
- * \defgroup sixlowpan-tests 6LoWPAN module tests
+ * @ingroup sixlowpan
+ * @ingroup tests
+ * @defgroup sixlowpan-tests 6LoWPAN module tests
  */
 
 /**
- * \ingroup sixlowpan
+ * @ingroup sixlowpan
  *
- * \brief Shim performing 6LoWPAN compression, decompression and fragmentation.
+ * @brief Shim performing 6LoWPAN compression, decompression and fragmentation.
  *
  * This class implements the shim between IPv6 and a generic NetDevice,
  * performing packet compression, decompression and fragmentation in a transparent way.
@@ -75,13 +75,13 @@
     };
 
     /**
-     * \brief The protocol number for 6LoWPAN (0xA0ED) - see \RFC{7973}.
+     * @brief The protocol number for 6LoWPAN (0xA0ED) - see \RFC{7973}.
      */
     static constexpr uint16_t PROT_NUMBER{0xA0ED};
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -103,11 +103,11 @@
     bool SetMtu(const uint16_t mtu) override;
 
     /**
-     * \brief Returns the link-layer MTU for this interface.
+     * @brief Returns the link-layer MTU for this interface.
      * If the link-layer MTU is smaller than IPv6's minimum MTU (\RFC{4944}),
      * 1280 will be returned.
      *
-     * \return The link-level MTU in bytes for this interface.
+     * @return The link-level MTU in bytes for this interface.
      */
     uint16_t GetMtu() const override;
     bool IsLinkUp() const override;
@@ -132,18 +132,18 @@
     Address GetMulticast(Ipv6Address addr) const override;
 
     /**
-     * \brief Returns a smart pointer to the underlying NetDevice.
+     * @brief Returns a smart pointer to the underlying NetDevice.
      *
-     * \return A smart pointer to the underlying NetDevice.
+     * @return A smart pointer to the underlying NetDevice.
      */
     Ptr<NetDevice> GetNetDevice() const;
 
     /**
-     * \brief Setup SixLowPan to be a proxy for the specified NetDevice.
+     * @brief Setup SixLowPan to be a proxy for the specified NetDevice.
      * All the packets incoming and outgoing from the NetDevice will be
      * processed by SixLowPanNetDevice.
      *
-     * \param [in] device A smart pointer to the NetDevice to be proxied.
+     * @param [in] device A smart pointer to the NetDevice to be proxied.
      */
     void SetNetDevice(Ptr<NetDevice> device);
 
@@ -152,18 +152,18 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param [in] stream First stream index to use.
-     * \return the number of stream indices assigned by this model.
+     * @param [in] stream First stream index to use.
+     * @return the number of stream indices assigned by this model.
      */
     int64_t AssignStreams(int64_t stream);
 
     /**
      * TracedCallback signature for packet send/receive events.
      *
-     * \param [in] packet The packet.
-     * \param [in] sixNetDevice The SixLowPanNetDevice.
-     * \param [in] ifindex The ifindex of the device.
-     * \deprecated The non-const \c Ptr<SixLowPanNetDevice> argument
+     * @param [in] packet The packet.
+     * @param [in] sixNetDevice The SixLowPanNetDevice.
+     * @param [in] ifindex The ifindex of the device.
+     * @deprecated The non-const \c Ptr<SixLowPanNetDevice> argument
      * is deprecated and will be changed to \c Ptr<const SixLowPanNetDevice>
      * in a future release.
      */
@@ -175,11 +175,11 @@
     /**
      * TracedCallback signature for packet drop events
      *
-     * \param [in] reason The reason for the drop.
-     * \param [in] packet The packet.
-     * \param [in] sixNetDevice The SixLowPanNetDevice.
-     * \param [in] ifindex The ifindex of the device.
-     * \deprecated The non-const \c Ptr<SixLowPanNetDevice> argument
+     * @param [in] reason The reason for the drop.
+     * @param [in] packet The packet.
+     * @param [in] sixNetDevice The SixLowPanNetDevice.
+     * @param [in] ifindex The ifindex of the device.
+     * @deprecated The non-const \c Ptr<SixLowPanNetDevice> argument
      * is deprecated and will be changed to \c Ptr<const SixLowPanNetDevice>
      * in a future release.
      */
@@ -194,11 +194,11 @@
      *
      * A context with a zero validLifetime will be immediately removed.
      *
-     * \param [in] contextId context id (most be between 0 and 15 included).
-     * \param [in] contextPrefix context prefix to be used in compression/decompression.
-     * \param [in] compressionAllowed compression and decompression allowed (true), decompression
+     * @param [in] contextId context id (most be between 0 and 15 included).
+     * @param [in] contextPrefix context prefix to be used in compression/decompression.
+     * @param [in] compressionAllowed compression and decompression allowed (true), decompression
      * only (false).
-     * \param [in] validLifetime validity time (relative to the actual time).
+     * @param [in] validLifetime validity time (relative to the actual time).
      *
      */
     void AddContext(uint8_t contextId,
@@ -209,13 +209,13 @@
     /**
      * Get a context used in IPHC stateful compression.
      *
-     * \param [in] contextId context id (most be between 0 and 15 included).
-     * \param [out] contextPrefix context prefix to be used in compression/decompression.
-     * \param [out] compressionAllowed compression and decompression allowed (true), decompression
+     * @param [in] contextId context id (most be between 0 and 15 included).
+     * @param [out] contextPrefix context prefix to be used in compression/decompression.
+     * @param [out] compressionAllowed compression and decompression allowed (true), decompression
      * only (false).
-     * \param [out] validLifetime validity time (relative to the actual time).
+     * @param [out] validLifetime validity time (relative to the actual time).
      *
-     * \return false if the context has not been found.
+     * @return false if the context has not been found.
      *
      */
     bool GetContext(uint8_t contextId,
@@ -228,8 +228,8 @@
      *
      * The context will have its lifetime extended and its validity for compression re-enabled.
      *
-     * \param [in] contextId context id (most be between 0 and 15 included).
-     * \param [in] validLifetime validity time (relative to the actual time).
+     * @param [in] contextId context id (most be between 0 and 15 included).
+     * @param [in] validLifetime validity time (relative to the actual time).
      */
     void RenewContext(uint8_t contextId, Time validLifetime);
 
@@ -238,14 +238,14 @@
      *
      * An invalid context will not be used for compression but it will be used for decompression.
      *
-     * \param [in] contextId context id (most be between 0 and 15 included).
+     * @param [in] contextId context id (most be between 0 and 15 included).
      */
     void InvalidateContext(uint8_t contextId);
 
     /**
      * Remove a context used in IPHC stateful compression.
      *
-     * \param [in] contextId context id (most be between 0 and 15 included).
+     * @param [in] contextId context id (most be between 0 and 15 included).
      */
     void RemoveContext(uint8_t contextId);
 
@@ -254,13 +254,13 @@
 
   private:
     /**
-     * \brief Receives all the packets from a NetDevice for further processing.
-     * \param [in] device The NetDevice the packet ws received from.
-     * \param [in] packet The received packet.
-     * \param [in] protocol The protocol (if known).
-     * \param [in] source The source address.
-     * \param [in] destination The destination address.
-     * \param [in] packetType The packet kind (e.g., HOST, BROADCAST, etc.).
+     * @brief Receives all the packets from a NetDevice for further processing.
+     * @param [in] device The NetDevice the packet ws received from.
+     * @param [in] packet The received packet.
+     * @param [in] protocol The protocol (if known).
+     * @param [in] source The source address.
+     * @param [in] destination The destination address.
+     * @param [in] packetType The packet kind (e.g., HOST, BROADCAST, etc.).
      */
     void ReceiveFromDevice(Ptr<NetDevice> device,
                            Ptr<const Packet> packet,
@@ -270,18 +270,18 @@
                            PacketType packetType);
 
     /**
-     * \param [in] packet Packet sent from above down to Network Device.
-     * \param [in] source Source mac address (only used if doSendFrom is true, i.e., "MAC
+     * @param [in] packet Packet sent from above down to Network Device.
+     * @param [in] source Source mac address (only used if doSendFrom is true, i.e., "MAC
      * spoofing").
-     * \param [in] dest Mac address of the destination (already resolved).
-     * \param [in] protocolNumber Identifies the type of payload contained in this packet. Used to
+     * @param [in] dest Mac address of the destination (already resolved).
+     * @param [in] protocolNumber Identifies the type of payload contained in this packet. Used to
      * call the right L3Protocol when the packet is received.
-     * \param [in] doSendFrom Perform a SendFrom instead of a Send.
+     * @param [in] doSendFrom Perform a SendFrom instead of a Send.
      *
      *  Called from higher layer to send packet into Network Device
      *  with the specified source and destination Addresses.
      *
-     * \return Whether the Send operation succeeded.
+     * @return Whether the Send operation succeeded.
      */
     bool DoSend(Ptr<Packet> packet,
                 const Address& source,
@@ -301,13 +301,13 @@
     NetDevice::PromiscReceiveCallback m_promiscRxCallback;
 
     /**
-     * \brief Callback to trace TX (transmission) packets.
+     * @brief Callback to trace TX (transmission) packets.
      *
      * Data passed:
      * \li Packet received (including 6LoWPAN header)
      * \li Ptr to SixLowPanNetDevice
      * \li interface index
-     * \deprecated The non-const \c Ptr<SixLowPanNetDevice> argument
+     * @deprecated The non-const \c Ptr<SixLowPanNetDevice> argument
      * is deprecated and will be changed to \c Ptr<const SixLowPanNetDevice>
      * in a future release.
      */
@@ -315,13 +315,13 @@
     TracedCallback<Ptr<const Packet>, Ptr<SixLowPanNetDevice>, uint32_t> m_txTrace;
 
     /**
-     * \brief Callback to trace RX (reception) packets.
+     * @brief Callback to trace RX (reception) packets.
      *
      * Data passed:
      * \li Packet received (including 6LoWPAN header)
      * \li Ptr to SixLowPanNetDevice
      * \li interface index
-     * \deprecated The non-const \c Ptr<SixLowPanNetDevice> argument
+     * @deprecated The non-const \c Ptr<SixLowPanNetDevice> argument
      * is deprecated and will be changed to \c Ptr<const SixLowPanNetDevice>
      * in a future release.
      */
@@ -329,14 +329,14 @@
     TracedCallback<Ptr<const Packet>, Ptr<SixLowPanNetDevice>, uint32_t> m_rxTrace;
 
     /**
-     * \brief Callback to trace drop packets.
+     * @brief Callback to trace drop packets.
      *
      * Data passed:
      * \li DropReason
      * \li Packet dropped (including 6LoWPAN header)
      * \li Ptr to SixLowPanNetDevice
      * \li interface index
-     * \deprecated The non-const \c Ptr<SixLowPanNetDevice> argument
+     * @deprecated The non-const \c Ptr<SixLowPanNetDevice> argument
      * is deprecated and will be changed to \c Ptr<const SixLowPanNetDevice>
      * in a future release.
      */
@@ -344,54 +344,54 @@
     TracedCallback<DropReason, Ptr<const Packet>, Ptr<SixLowPanNetDevice>, uint32_t> m_dropTrace;
 
     /**
-     * \brief Compress the headers according to HC1 compression.
-     * \param [in] packet The packet to be compressed.
-     * \param [in] src The MAC source address.
-     * \param [in] dst The MAC destination address.
-     * \return The size of the removed headers.
+     * @brief Compress the headers according to HC1 compression.
+     * @param [in] packet The packet to be compressed.
+     * @param [in] src The MAC source address.
+     * @param [in] dst The MAC destination address.
+     * @return The size of the removed headers.
      */
     uint32_t CompressLowPanHc1(Ptr<Packet> packet, const Address& src, const Address& dst);
 
     /**
-     * \brief Decompress the headers according to HC1 compression.
-     * \param [in] packet the packet to be compressed.
-     * \param [in] src the MAC source address.
-     * \param [in] dst the MAC destination address.
+     * @brief Decompress the headers according to HC1 compression.
+     * @param [in] packet the packet to be compressed.
+     * @param [in] src the MAC source address.
+     * @param [in] dst the MAC destination address.
      */
     void DecompressLowPanHc1(Ptr<Packet> packet, const Address& src, const Address& dst);
 
     /**
-     * \brief Compress the headers according to IPHC compression.
-     * \param [in] packet The packet to be compressed.
-     * \param [in] src The MAC source address.
-     * \param [in] dst The MAC destination address.
-     * \return The size of the removed headers.
+     * @brief Compress the headers according to IPHC compression.
+     * @param [in] packet The packet to be compressed.
+     * @param [in] src The MAC source address.
+     * @param [in] dst The MAC destination address.
+     * @return The size of the removed headers.
      */
     uint32_t CompressLowPanIphc(Ptr<Packet> packet, const Address& src, const Address& dst);
 
     /**
-     * \brief Checks if the next header can be compressed using NHC.
-     * \param [in] headerType The header kind to be compressed.
-     * \return True if the header can be compressed.
+     * @brief Checks if the next header can be compressed using NHC.
+     * @param [in] headerType The header kind to be compressed.
+     * @return True if the header can be compressed.
      */
     bool CanCompressLowPanNhc(uint8_t headerType);
 
     /**
-     * \brief Decompress the headers according to IPHC compression.
-     * \param [in] packet The packet to be compressed.
-     * \param [in] src The MAC source address.
-     * \param [in] dst The MAC destination address.
-     * \return true if the packet can not be decompressed due to wrong context information.
+     * @brief Decompress the headers according to IPHC compression.
+     * @param [in] packet The packet to be compressed.
+     * @param [in] src The MAC source address.
+     * @param [in] dst The MAC destination address.
+     * @return true if the packet can not be decompressed due to wrong context information.
      */
     bool DecompressLowPanIphc(Ptr<Packet> packet, const Address& src, const Address& dst);
 
     /**
-     * \brief Compress the headers according to NHC compression.
-     * \param [in] packet The packet to be compressed.
-     * \param [in] headerType The header type.
-     * \param [in] src The MAC source address.
-     * \param [in] dst The MAC destination address.
-     * \return The size of the removed headers.
+     * @brief Compress the headers according to NHC compression.
+     * @param [in] packet The packet to be compressed.
+     * @param [in] headerType The header type.
+     * @param [in] src The MAC source address.
+     * @param [in] dst The MAC destination address.
+     * @return The size of the removed headers.
      */
     uint32_t CompressLowPanNhc(Ptr<Packet> packet,
                                uint8_t headerType,
@@ -399,13 +399,13 @@
                                const Address& dst);
 
     /**
-     * \brief Decompress the headers according to NHC compression.
-     * \param [in] packet The packet to be compressed.
-     * \param [in] src The MAC source address.
-     * \param [in] dst The MAC destination address.
-     * \param [in] srcAddress The IPv6 source address.
-     * \param [in] dstAddress The IPv6 destination address.
-     * \return A std::pair containing the decompressed header type and a flag - true if the packet
+     * @brief Decompress the headers according to NHC compression.
+     * @param [in] packet The packet to be compressed.
+     * @param [in] src The MAC source address.
+     * @param [in] dst The MAC destination address.
+     * @param [in] srcAddress The IPv6 source address.
+     * @param [in] dstAddress The IPv6 destination address.
+     * @return A std::pair containing the decompressed header type and a flag - true if the packet
      * can not be decompressed due to wrong context information.
      */
     std::pair<uint8_t, bool> DecompressLowPanNhc(Ptr<Packet> packet,
@@ -415,18 +415,18 @@
                                                  Ipv6Address dstAddress);
 
     /**
-     * \brief Compress the headers according to NHC compression.
-     * \param [in] packet The packet to be compressed.
-     * \param [in] omitChecksum Omit UDP checksum (if true).
-     * \return The size of the removed headers.
+     * @brief Compress the headers according to NHC compression.
+     * @param [in] packet The packet to be compressed.
+     * @param [in] omitChecksum Omit UDP checksum (if true).
+     * @return The size of the removed headers.
      */
     uint32_t CompressLowPanUdpNhc(Ptr<Packet> packet, bool omitChecksum);
 
     /**
-     * \brief Decompress the headers according to NHC compression.
-     * \param [in] packet The packet to be compressed.
-     * \param [in] saddr The IPv6 source address.
-     * \param [in] daddr The IPv6 destination address.
+     * @brief Decompress the headers according to NHC compression.
+     * @param [in] packet The packet to be compressed.
+     * @param [in] saddr The IPv6 source address.
+     * @param [in] daddr The IPv6 destination address.
      */
     void DecompressLowPanUdpNhc(Ptr<Packet> packet, Ipv6Address saddr, Ipv6Address daddr);
 
@@ -441,15 +441,15 @@
     typedef std::list<std::tuple<Time, FragmentKey_t, uint32_t>>::iterator FragmentsTimeoutsListI_t;
 
     /**
-     * \brief Set a new timeout "event" for a fragmented packet
-     * \param key the fragment identification
-     * \param iif input interface of the packet
-     * \return an iterator to the inserted "event"
+     * @brief Set a new timeout "event" for a fragmented packet
+     * @param key the fragment identification
+     * @param iif input interface of the packet
+     * @return an iterator to the inserted "event"
      */
     FragmentsTimeoutsListI_t SetTimeout(FragmentKey_t key, uint32_t iif);
 
     /**
-     * \brief Handles a fragmented packet timeout
+     * @brief Handles a fragmented packet timeout
      */
     void HandleTimeout();
 
@@ -458,103 +458,103 @@
     EventId m_timeoutEvent; //!< Event for the next scheduled timeout
 
     /**
-     * \brief A Set of Fragments.
+     * @brief A Set of Fragments.
      */
     class Fragments : public SimpleRefCount<Fragments>
     {
       public:
         /**
-         * \brief Constructor.
+         * @brief Constructor.
          */
         Fragments();
 
         /**
-         * \brief Destructor.
+         * @brief Destructor.
          */
         ~Fragments();
 
         /**
-         * \brief Add a fragment to the pool.
-         * \param [in] fragment the fragment.
-         * \param [in] fragmentOffset the offset of the fragment.
+         * @brief Add a fragment to the pool.
+         * @param [in] fragment the fragment.
+         * @param [in] fragmentOffset the offset of the fragment.
          */
         void AddFragment(Ptr<Packet> fragment, uint16_t fragmentOffset);
 
         /**
-         * \brief Add the first packet fragment. The first fragment is needed to
+         * @brief Add the first packet fragment. The first fragment is needed to
          * allow the post-defragmentation decompression.
-         * \param [in] fragment The fragment.
+         * @param [in] fragment The fragment.
          */
         void AddFirstFragment(Ptr<Packet> fragment);
 
         /**
-         * \brief If all fragments have been added.
-         * \returns True if the packet is entire.
+         * @brief If all fragments have been added.
+         * @returns True if the packet is entire.
          */
         bool IsEntire() const;
 
         /**
-         * \brief Get the entire packet.
-         * \return The entire packet.
+         * @brief Get the entire packet.
+         * @return The entire packet.
          */
         Ptr<Packet> GetPacket() const;
 
         /**
-         * \brief Set the packet-to-be-defragmented size.
-         * \param [in] packetSize The packet size (bytes).
+         * @brief Set the packet-to-be-defragmented size.
+         * @param [in] packetSize The packet size (bytes).
          */
         void SetPacketSize(uint32_t packetSize);
 
         /**
-         * \brief Get a list of the current stored fragments.
-         * \returns The current stored fragments.
+         * @brief Get a list of the current stored fragments.
+         * @returns The current stored fragments.
          */
         std::list<Ptr<Packet>> GetFragments() const;
 
         /**
-         * \brief Set the Timeout iterator.
-         * \param iter The iterator.
+         * @brief Set the Timeout iterator.
+         * @param iter The iterator.
          */
         void SetTimeoutIter(FragmentsTimeoutsListI_t iter);
 
         /**
-         * \brief Get the Timeout iterator.
-         * \returns The iterator.
+         * @brief Get the Timeout iterator.
+         * @returns The iterator.
          */
         FragmentsTimeoutsListI_t GetTimeoutIter();
 
       private:
         /**
-         * \brief The size of the reconstructed packet (bytes).
+         * @brief The size of the reconstructed packet (bytes).
          */
         uint32_t m_packetSize;
 
         /**
-         * \brief The current fragments.
+         * @brief The current fragments.
          */
         std::list<std::pair<Ptr<Packet>, uint16_t>> m_fragments;
 
         /**
-         * \brief The very first fragment.
+         * @brief The very first fragment.
          */
         Ptr<Packet> m_firstFragment;
 
         /**
-         * \brief Timeout iterator to "event" handler
+         * @brief Timeout iterator to "event" handler
          */
         FragmentsTimeoutsListI_t m_timeoutIter;
     };
 
     /**
-     * \brief Performs a packet fragmentation.
-     * \param [in] packet the packet to be fragmented (with headers already compressed with
+     * @brief Performs a packet fragmentation.
+     * @param [in] packet the packet to be fragmented (with headers already compressed with
      * 6LoWPAN).
-     * \param [in] origPacketSize the size of the IP packet before the 6LoWPAN header compression,
+     * @param [in] origPacketSize the size of the IP packet before the 6LoWPAN header compression,
      * including the IP/L4 headers.
-     * \param [in] origHdrSize the size of the IP header before the 6LoWPAN header compression.
-     * \param [in] extraHdrSize the sum of the sizes of BC0 header and MESH header if mesh routing
+     * @param [in] origHdrSize the size of the IP header before the 6LoWPAN header compression.
+     * @param [in] extraHdrSize the sum of the sizes of BC0 header and MESH header if mesh routing
      * is used or 0.
-     * \param [out] listFragments A reference to the list of the resulting packets, all with the
+     * @param [out] listFragments A reference to the list of the resulting packets, all with the
      * proper headers in place.
      */
     void DoFragmentation(Ptr<Packet> packet,
@@ -564,31 +564,31 @@
                          std::list<Ptr<Packet>>& listFragments);
 
     /**
-     * \brief Process a packet fragment.
-     * \param [in] packet The packet.
-     * \param [in] src The source MAC address.
-     * \param [in] dst The destination MAC address.
-     * \param [in] isFirst True if it is the first fragment, false otherwise.
-     * \return True is the fragment completed the packet.
+     * @brief Process a packet fragment.
+     * @param [in] packet The packet.
+     * @param [in] src The source MAC address.
+     * @param [in] dst The destination MAC address.
+     * @param [in] isFirst True if it is the first fragment, false otherwise.
+     * @return True is the fragment completed the packet.
      */
     bool ProcessFragment(Ptr<Packet>& packet, const Address& src, const Address& dst, bool isFirst);
 
     /**
-     * \brief Process the timeout for packet fragments.
-     * \param [in] key A key representing the packet fragments.
-     * \param [in] iif Input Interface.
+     * @brief Process the timeout for packet fragments.
+     * @param [in] key A key representing the packet fragments.
+     * @param [in] iif Input Interface.
      */
     void HandleFragmentsTimeout(FragmentKey_t key, uint32_t iif);
 
     /**
-     * \brief Drops the oldest fragment set.
+     * @brief Drops the oldest fragment set.
      */
     void DropOldestFragmentSet();
 
     /**
      * Get a Mac16 from its Mac48 pseudo-MAC
-     * \param addr the PseudoMac address
-     * \return the Mac16Address
+     * @param addr the PseudoMac address
+     * @return the Mac16Address
      */
     Address Get16MacFrom48Mac(Address addr);
 
@@ -605,7 +605,7 @@
     Time m_fragmentExpirationTimeout; //!< Time limit for fragment rebuilding.
 
     /**
-     * \brief How many packets can be rebuilt at the same time.
+     * @brief How many packets can be rebuilt at the same time.
      * Some real implementation do limit this. Zero means no limit.
      */
     uint16_t m_fragmentReassemblyListSize;
@@ -646,32 +646,32 @@
         m_contextTable; //!< Table of the contexts used in compression/decompression
 
     /**
-     * \brief Finds if the given unicast address matches a context for compression
+     * @brief Finds if the given unicast address matches a context for compression
      *
      * \param[in] address the address to check
      * \param[out] contextId the context found
-     * \return true if a valid context has been found
+     * @return true if a valid context has been found
      */
     bool FindUnicastCompressionContext(Ipv6Address address, uint8_t& contextId);
 
     /**
-     * \brief Finds if the given multicast address matches a context for compression
+     * @brief Finds if the given multicast address matches a context for compression
      *
      * \param[in] address the address to check
      * \param[out] contextId the context found
-     * \return true if a valid context has been found
+     * @return true if a valid context has been found
      */
     bool FindMulticastCompressionContext(Ipv6Address address, uint8_t& contextId);
 
     /**
-     * \brief Clean an address from its prefix.
+     * @brief Clean an address from its prefix.
      *
      * This function is used to find the relevant bits to be sent in stateful IPHC compression.
      * Only the prefix length is used - the address prefix is assumed to be matching the prefix.
      *
-     * \param address the address to be cleaned
-     * \param prefix the prefix to remove
-     * \return An address with the prefix zeroed.
+     * @param address the address to be cleaned
+     * @param prefix the prefix to remove
+     * @return An address with the prefix zeroed.
      */
     Ipv6Address CleanPrefix(Ipv6Address address, Ipv6Prefix prefix);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/sixlowpan/test/mock-net-device.h ns-3.44/src/sixlowpan/test/mock-net-device.h
--- ns-3.43/src/sixlowpan/test/mock-net-device.h	2024-10-09 16:41:10.080656500 -0700
+++ ns-3.44/src/sixlowpan/test/mock-net-device.h	2025-03-09 16:55:49.687372200 -0700
@@ -20,7 +20,7 @@
 class Node;
 
 /**
- * \ingroup netdevice
+ * @ingroup netdevice
  *
  * This device assumes 48-bit mac addressing; there is also the possibility to
  * add an ErrorModel if you want to force losses on the device.
@@ -31,14 +31,14 @@
  *
  * By default the device is in Broadcast mode, with infinite bandwidth.
  *
- * \brief simple net device for simple things and testing
+ * @brief simple net device for simple things and testing
  */
 class MockNetDevice : public NetDevice
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     MockNetDevice();
@@ -49,11 +49,11 @@
      * Note that no analysis is performed on the addresses, and the
      * packet is forwarded to the callbacks according to the packetType.
      *
-     * \param packet Packet received on the channel
-     * \param protocol protocol number
-     * \param to address packet should be sent to
-     * \param from address packet was sent from
-     * \param packetType type of the packet (e.g., NetDevice::PACKET_HOST,
+     * @param packet Packet received on the channel
+     * @param protocol protocol number
+     * @param to address packet should be sent to
+     * @param from address packet was sent from
+     * @param packetType type of the packet (e.g., NetDevice::PACKET_HOST,
      * NetDevice::PACKET_OTHERHOST, etc.)
      */
     void Receive(Ptr<Packet> packet,
@@ -97,7 +97,7 @@
      *
      * In the callback the PacketType is always set to NetDevice::PACKET_HOST.
      *
-     * \param cb callback to invoke whenever the MockNetDevice has one packet to "send".
+     * @param cb callback to invoke whenever the MockNetDevice has one packet to "send".
      *
      */
     void SetSendCallback(PromiscReceiveCallback cb);
